Subject: RE: bug#26564: Document that only functions and not variables can end with "-p"

From: Drew Adams <[email-masked]>
Date: Wed, 19 Apr 2017 15:04:59 -0700 (PDT)

> > -Examples are @code{framep} and @code{frame-live-p}.
> > +Examples are @code{framep} and @code{frame-live-p}.  This predicate
> > +suffix should not be used in variable names (i.e., you might name a
> > +variable @code{foo-feature} instead of @code{foo-feature-p}).
> 
> I think we should not discourage naming variables bound to a predicate
> "-p".  I guess you only mean "boolean variables" here?

I _would_ discourage that.

And I'd promote the practice of naming variables expected to
be bound to a Boolean _value_ with suffix `-p'.

Just as a predicate _returns_ a Boolean value, so does a
Boolean-valued variable.

A variable whose value is a _predicate_ I'd name something
like `foo-predicate' or `foo-pred' or even `foo-function'
(the last one following the current convention).